<div class="container">
    <div class="row card-group">
        <div class="col-4" *ngFor="let pokemon of pokemonList">
            <div class="card mt-3">
                <div class="align-items-center d-flex justify-content-center">
                    <img  class="card-img-top" [src]="pokemon.image" alt="Pokemon">
                </div>
                <div class="card-body">
                    <div class="align-items-center d-flex justify-content-center">
                        <h3 class="text-capitalize">{{pokemon.name}}</h3>
                    </div>
                    <div class="align-items-center d-flex justify-content-center">
                        <button class="btn btn-outline-danger" *ngIf="pokemon.isCollected===false" (click)="addPokemon(pokemon.name)">Catch</button>
                        <img class="poke-caught" *ngIf="pokemon.isCollected===true" src="../../assets/s07a.jpeg" />
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
    